%define url_ver	%(echo %{version}|cut -d. -f1,2)

%define busname	org.gnome.clocks

Name:		gnome-clocks
Version:	3.38.0
Release:	%mkrel 1
Summary:	Clocks applications for GNOME
License:	GPLv2+
Group:		Development/Other
URL:		https://wiki.gnome.org/Clocks
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
BuildRequires:	gettext
BuildRequires:	pkgconfig(gio-2.0) >= 2.30.0
BuildRequires:	pkgconfig(glib-2.0) >= 2.36
BuildRequires:	pkgconfig(gtk+-3.0) >= 3.9.11
BuildRequires:	pkgconfig(libcanberra) >= 0.30
BuildRequires:	pkgconfig(libhandy-1)
BuildRequires:	pkgconfig(gweather-3.0) >= 3.9.3
BuildRequires:	pkgconfig(gnome-desktop-3.0) >= 3.7.90
BuildRequires:	pkgconfig(libnotify) >= -.7.0
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	pkgconfig(geoclue-2.0)
BuildRequires:	pkgconfig(geocode-glib-1.0)
BuildRequires:	pkgconfig(gsound)
BuildRequires:	vala-tools
BuildRequires:	libxml2-utils
BuildRequires:	itstool
BuildRequires:	meson
Conflicts:	gir-repository

%description
Clock application designed for GNOME 3.

%prep
%setup -q

%build
%meson
%meson_build

%install
%meson_install

%find_lang %{name} --with-gnome

%check
%meson_test

%files -f %{name}.lang
%doc AUTHORS.md NEWS README.md
%license LICENSE.md
%{_bindir}/%{name}
%{_metainfodir}/%{busname}.metainfo.xml
%{_iconsdir}/*/*/apps/*.*
%{_datadir}/applications/%{busname}.desktop
%{_datadir}/glib-2.0/schemas/%{busname}.gschema.xml
%{_datadir}/dbus-1/services/%{busname}.service
%{_datadir}/gnome-shell/search-providers/org.gnome.clocks.search-provider.ini


%changelog
* Tue Sep 15 2020 ovitters <ovitters> 3.38.0-1.mga8
+ Revision: 1626809
- new version 3.38.0

* Sun Sep 06 2020 tv <tv> 3.37.91-1.mga8
+ Revision: 1622944
- BR libhandy-1 instead of libhandy-0.0 + fix filelist
+ ovitters <ovitters>
- new version 3.37.91
- new version 3.37.90

* Sun May 10 2020 ovitters <ovitters> 3.36.2-1.mga8
+ Revision: 1582628
- new version 3.36.2

* Fri Mar 06 2020 ovitters <ovitters> 3.36.0-1.mga8
+ Revision: 1554272
- new version 3.36.0

* Mon Feb 24 2020 tv <tv> 3.34.0-3.mga8
+ Revision: 1549848
- rebuild for new libgnome-desktop

* Sun Feb 16 2020 umeabot <umeabot> 3.34.0-2.mga8
+ Revision: 1531062
- Mageia 8 Mass Rebuild

* Mon Sep 09 2019 ovitters <ovitters> 3.34.0-1.mga8
+ Revision: 1438935
- new version 3.34.0

* Mon Aug 12 2019 ovitters <ovitters> 3.33.1-2.mga8
+ Revision: 1429049
- rebuild for gnome-desktop

* Sun Aug 11 2019 tv <tv> 3.33.1-1.mga8
+ Revision: 1428737
- new release

* Fri Aug 09 2019 tv <tv> 3.32.0-3.mga8
+ Revision: 1428397
- rebuild with latest libgweather

* Wed Apr 17 2019 umeabot <umeabot> 3.32.0-2.mga7
+ Revision: 1392312
- Rebuild with meson 0.50.1

* Sun Mar 10 2019 ovitters <ovitters> 3.32.0-1.mga7
+ Revision: 1373534
- new version 3.32.0

* Sat Mar 09 2019 daviddavid <daviddavid> 3.31.2-1.mga7
+ Revision: 1373203
- new version 3.31.2

* Sun Oct 21 2018 ovitters <ovitters> 3.30.1-1.mga7
+ Revision: 1323368
- new version 3.30.1

* Tue Sep 04 2018 daviddavid <daviddavid> 3.30.0-1.mga7
+ Revision: 1257000
- new version: 3.30.0

* Sat Mar 10 2018 ovitters <ovitters> 3.28.0-1.mga7
+ Revision: 1207992
- new version 3.28.0

* Wed Feb 28 2018 ovitters <ovitters> 3.27.1-1.mga7
+ Revision: 1205604
- new version 3.27.1

* Tue Feb 20 2018 ovitters <ovitters> 3.26.1-2.mga7
+ Revision: 1203736
- rebuild for gnome-desktop

* Sun Oct 15 2017 ovitters <ovitters> 3.26.1-1.mga7
+ Revision: 1172104
- new version 3.26.1

* Sun Sep 10 2017 ovitters <ovitters> 3.26.0-1.mga7
+ Revision: 1152555
- new version 3.26.0

* Tue Aug 22 2017 ovitters <ovitters> 3.25.90-1.mga7
+ Revision: 1142791
- new version 3.25.90

* Tue Mar 21 2017 ovitters <ovitters> 3.24.0-1.mga6
+ Revision: 1094064
- new version 3.24.0

* Mon Oct 10 2016 ovitters <ovitters> 3.22.1-1.mga6
+ Revision: 1059895
- new version 3.22.1

* Thu Sep 22 2016 ovitters <ovitters> 3.22.0-1.mga6
+ Revision: 1055277
- new version 3.22.0

* Sat Sep 03 2016 ovitters <ovitters> 3.20.2-1.mga6
+ Revision: 1049946
- new version 3.20.2

* Sun May 08 2016 ovitters <ovitters> 3.20.1-1.mga6
+ Revision: 1010536
- new version 3.20.1

* Sun Mar 20 2016 ovitters <ovitters> 3.20.0-1.mga6
+ Revision: 993106
- new version 3.20.0

* Sun Feb 21 2016 ovitters <ovitters> 3.19.2-1.mga6
+ Revision: 975396
- new version 3.19.2

* Sun Feb 14 2016 umeabot <umeabot> 3.19.1-2.mga6
+ Revision: 960321
- Mageia 6 Mass Rebuild

* Mon Dec 14 2015 ovitters <ovitters> 3.19.1-1.mga6
+ Revision: 910414
- new version 3.19.1

* Thu Sep 24 2015 tv <tv> 3.18.0-1.mga6
+ Revision: 882735
- new release

* Mon Sep 14 2015 ovitters <ovitters> 3.16.2-1.mga6
+ Revision: 879359
- new version 3.16.2

* Fri Jul 24 2015 sander85 <sander85> 3.16.1-2.mga6
+ Revision: 856923
- Rebuild for new gnome-desktop3

* Mon Jun 22 2015 ovitters <ovitters> 3.16.1-1.mga6
+ Revision: 839841
- new version 3.16.1

* Wed Oct 15 2014 umeabot <umeabot> 3.14.1-2.mga5
+ Revision: 741997
- Second Mageia 5 Mass Rebuild

* Mon Oct 13 2014 ovitters <ovitters> 3.14.1-1.mga5
+ Revision: 738314
- new version 3.14.1

* Mon Sep 22 2014 ovitters <ovitters> 3.14.0-1.mga5
+ Revision: 719211
- new version 3.14.0

* Fri Sep 19 2014 ovitters <ovitters> 3.13.92-1.mga5
+ Revision: 697398
- new version 3.13.92

* Tue Sep 16 2014 umeabot <umeabot> 3.13.91-2.mga5
+ Revision: 679705
- Mageia 5 Mass Rebuild

* Tue Sep 02 2014 ovitters <ovitters> 3.13.91-1.mga5
+ Revision: 671107
- new version 3.13.91

* Tue Aug 19 2014 fwang <fwang> 3.13.2-1.mga5
+ Revision: 665395
- update file list
+ ovitters <ovitters>
- new version 3.13.2

* Wed Jul 23 2014 ovitters <ovitters> 3.13.1-1.mga5
+ Revision: 655862
- new version 3.13.1

* Mon Mar 24 2014 ovitters <ovitters> 3.12.0-1.mga5
+ Revision: 607779
- new version 3.12.0

* Wed Mar 19 2014 ovitters <ovitters> 3.11.92-1.mga5
+ Revision: 605894
- new version 3.11.92

* Tue Feb 18 2014 ovitters <ovitters> 3.11.90-1.mga5
+ Revision: 594503
- new version 3.11.90

* Wed Feb 05 2014 ovitters <ovitters> 3.11.1-1.mga5
+ Revision: 583862
- new version 3.11.1

* Sat Nov 09 2013 ovitters <ovitters> 3.10.1-3.mga4
+ Revision: 550159
- fix url

* Tue Oct 22 2013 umeabot <umeabot> 3.10.1-2.mga4
+ Revision: 542402
- Mageia 4 Mass Rebuild

* Mon Oct 14 2013 ovitters <ovitters> 3.10.1-1.mga4
+ Revision: 497541
- new version 3.10.1

* Mon Sep 23 2013 ovitters <ovitters> 3.10.0-1.mga4
+ Revision: 484425
- new version 3.10.0

* Tue Sep 17 2013 ovitters <ovitters> 3.9.92-1.mga4
+ Revision: 480811
- new version 3.9.92

* Tue Sep 03 2013 fwang <fwang> 3.9.91-1.mga4
+ Revision: 474556
- update file list
+ ovitters <ovitters>
- new version 3.9.91

* Mon Sep 02 2013 ennael <ennael> 3.9.90-2.mga4
+ Revision: 474372
- Rebuild against new gnome-desktop3

* Sun Sep 01 2013 fwang <fwang> 3.9.90-1.mga4
+ Revision: 473857
- add missing files in tarball, to be removed in next version
- br xmllint
- bump req
+ ovitters <ovitters>
- new version 3.9.90

* Sat Aug 03 2013 ovitters <ovitters> 3.9.3-1.mga4
+ Revision: 462891
- new version 3.9.3

* Fri Jul 26 2013 dams <dams> 3.9.2-1.mga4
+ Revision: 458203
- new version 3.9.2

* Mon Jul 01 2013 dams <dams> 3.8.2-2.mga4
+ Revision: 449497
- rebuild for new 'libgweather'

* Sat May 25 2013 ovitters <ovitters> 3.8.2-1.mga4
+ Revision: 427491
- br gobject-introspection-1.0
- br vala-tools
- br gtk+3.0,libcanberra,gweather-3.0,gnome-desktop-3.0,libnotify
- fix spec
- new version 3.8.2
- new version 0.1.6

* Sat Jan 12 2013 umeabot <umeabot> 0.1.5-2.mga3
+ Revision: 352061
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Dec 03 2012 ovitters <ovitters> 0.1.5-1.mga3
+ Revision: 326069
- new version 0.1.5

* Mon Oct 15 2012 ovitters <ovitters> 0.1.4-1.mga3
+ Revision: 306827
- new version 0.1.4

* Wed Sep 26 2012 ovitters <ovitters> 0.1.3-1.mga3
+ Revision: 298500
- new version 0.1.3

* Tue Sep 18 2012 fwang <fwang> 0.1.2-1.mga3
+ Revision: 295788
- new version 0.1.2

* Wed Sep 12 2012 ovitters <ovitters> 0.1.1-2.mga3
+ Revision: 292833
- conflicts with gir-repository

* Wed Sep 12 2012 ovitters <ovitters> 0.1.1-1.mga3
+ Revision: 292761
- intltool
- br pythonegg(python-distutils-extra)
- Import (based on d-feet spec)

